Summary: A color VT102 terminal emulator for the X Window System.
Name: rxvt
Serial: 6
Version: 2.7.3
Release: 4tc1
Copyright: distributable
Packager: Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
Vendor: Red Hat, Inc.
Group: User Interface/X
Source: ftp://ftp.rxvt.org/pub/rxvt/%{name}-%{version}.tar.bz2
Source1: rxvt-zh.sh
Source2: rxvt-zh.menu
Source3: rxvt.wmconfig
Source4: crxvt.wmconfig
Source5: gbrxvt.wmconfig
Source6: crxvt.desktop
Source7: gbrxvt.desktop
Source8: jrxvt.desktop
Source9: krxvt.desktop
Patch0: rxvt-2.7.1.font.patch
Patch1: rxvt-2.7.3-utempter.patch
Patch2: rxvt-menu-fontset.patch
Buildroot: /var/tmp/%{name}-root
URL: http://www.rxvt.org/
Obsoletes: crxvt gbrxvt

%description
Rxvt is a color VT102 terminal emulator for the X Window System.
Rxvt is intended to be an xterm replacement for users who don't need
the more esoteric features of xterm, like Tektronix 4014 emulation,
session logging and toolkit style configurability.  Since it doesn't
support those features, rxvt uses much less swap space than xterm
uses.  This is a significant advantage on a machine which is serving
a large number of X sessions.

The rxvt package should be installed on any machine which serves a
large number of X sessions, if you'd like to improve that machine's
performance.

%prep
%setup -q
%patch0 -p1 -b .font
%patch1 -p1 -b .utmp
#%patch2 -p1 -b .fontset

%build
# NeXT scrollbar is cool :)
CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE -DUTEMPTER -DSCROLL_ON_UPDOWN_KEYS" \
./configure --prefix=/usr/X11R6 \
	--enable-xpm-background --enable-menubar --enable-xgetdefault \
	--enable-utmp --enable-ttygid \
	--enable-transparency --enable-next-scroll \
	--enable-xim --enable-languages

make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/man/man1
make prefix=$RPM_BUILD_ROOT/usr/X11R6 install
mv $RPM_BUILD_ROOT/usr/X11R6/bin/rxvt $RPM_BUILD_ROOT/usr/X11R6/bin/rxvt.bin
install -m 644 doc/rxvt.1 $RPM_BUILD_ROOT/usr/X11R6/man/man1
rm -f doc/rxvt.1
mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig
for r in rxvt crxvt gbrxvt; do
    install -m 644 $RPM_SOURCE_DIR/$r.wmconfig $RPM_BUILD_ROOT/etc/X11/wmconfig/$r
done

mkdir -p $RPM_BUILD_ROOT/usr/share/gnome/apps/Chinese
for s in crxvt gbrxvt jrxvt krxvt; do
    install -m 644 $RPM_SOURCE_DIR/$s.desktop $RPM_BUILD_ROOT/usr/share/gnome/apps/Chinese
done
#mkdir -p $RPM_BUILD_ROOT/usr/share/applnk/Chinese
#ln $RPM_BUILD_ROOT/usr/share/gnome/apps/Chinese/crxvt.desktop $RPM_BUILD_ROOT/usr/share/applnk/Chinese/crxvt.kdelnk
#ln $RPM_BUILD_ROOT/usr/share/gnome/apps/Chinese/gbrxvt.desktop $RPM_BUILD_ROOT/usr/share/applnk/Chinese/gbrxvt.kdelnk

install -m 755 $RPM_SOURCE_DIR/rxvt-zh.sh $RPM_BUILD_ROOT/usr/X11R6/bin/rxvt
ln $RPM_BUILD_ROOT/usr/X11R6/bin/rxvt $RPM_BUILD_ROOT/usr/X11R6/bin/crxvt
ln $RPM_BUILD_ROOT/usr/X11R6/bin/rxvt $RPM_BUILD_ROOT/usr/X11R6/bin/gbrxvt
ln $RPM_BUILD_ROOT/usr/X11R6/bin/rxvt $RPM_BUILD_ROOT/usr/X11R6/bin/jrxvt
ln $RPM_BUILD_ROOT/usr/X11R6/bin/rxvt $RPM_BUILD_ROOT/usr/X11R6/bin/krxvt
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/rxvt
install -m 644 $RPM_SOURCE_DIR/rxvt-zh.menu $RPM_BUILD_ROOT/usr/X11R6/lib/X11/rxvt


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc/*
/usr/X11R6/bin/rxvt
/usr/X11R6/bin/rxvt.bin
/usr/X11R6/bin/crxvt
/usr/X11R6/bin/gbrxvt
/usr/X11R6/bin/jrxvt
/usr/X11R6/bin/krxvt
/usr/X11R6/man/man1/*
%config(missingok) /etc/X11/wmconfig/rxvt
%config(missingok) /etc/X11/wmconfig/crxvt
%config(missingok) /etc/X11/wmconfig/gbrxvt
#%config(missingok) /usr/share/applnk/Chinese/crxvt.kdelnk
#%config(missingok) /usr/share/applnk/Chinese/gbrxvt.kdelnk
/usr/share/gnome/apps/Chinese/crxvt.desktop
/usr/share/gnome/apps/Chinese/gbrxvt.desktop
/usr/share/gnome/apps/Chinese/jrxvt.desktop
/usr/share/gnome/apps/Chinese/krxvt.desktop
/usr/X11R6/lib/X11/rxvt/rxvt-zh.menu

%changelog
* Mon Apr 10 2000 Andrew Lee <andrew@cle.linux.org.tw>
- 2.7.3

* Mon Jan 17 2000 Chih-Wei Huang <cwhuang@linux.org.tw>
- changed the icons

* Wed Jan 05 2000 Chih-Wei Huang <cwhuang@linux.org.tw>
- updated rxvt.sh

* Mon Jan 03 2000 Chih-Wei Huang <cwhuang@linux.org.tw>
- changed menu to /usr/share/gnome/apps (not sure which is better)

* Fri Dec 31 1999 Chih-Wei Huang <cwhuang@linux.org.tw>
- updated fontset patch for menubar (by thhsieh)

* Thu Dec 30 1999 Chih-Wei Huang <cwhuang@linux.org.tw>
- fixed SCROLL_ON_UPDOWN_KEYS

* Mon Dec 27 1999 Chih-Wei Huang <cwhuang@linux.org.tw>
- added fontset patch for menubar, remove LD_PRELOAD in rxvt.sh

* Sun Dec 26 1999 Chih-Wei Huang <cwhuang@linux.org.tw>
- upgraded to 2.7.2

* Tue Dec 14 1999 Chih-Wei Huang <cwhuang@linux.org.tw>
- added Japanese and Koren to rxvt.sh. Thanks to Pablo Saratxaga.
- change rxvt-zh.menu directory
- move applnk to /etc/X11

* Tue Dec 7 1999 Chih-Wei Huang <cwhuang@linux.org.tw>
- fixed bug in rxvt script

* Sun Oct 24 1999 Chih-Wei Huang <cwhuang@linux.org.tw>
- added utempter patch
- fixed gbrxvt wmconfig bug
- added menu for GNOME & KDE

* Fri Oct 15 1999 Chih-Wei Huang <cwhuang@linux.org.tw>
- fixed but with icewm
- added crxvt & gbrxvt wmconfig
- made default fonts to be normal

* Wed Oct  6 1999 Chih-Wei Huang <cwhuang@linux.org.tw>
- upgraded to 2.7.1

* Sun Aug 22 1999 Chih-Wei Huang <cwhuang@linux.org.tw>
- use two binaries again
- change rxvt to a script

* Tue Aug 17 1999 Chih-Wei Huang <cwhuang@linux.org.tw>
- copy & paste bug fixed
- use one binary for Big5 and GB encoding

* Fri Jul 30 1999 Chih-Wei Huang <cwhuang@linux.org.tw>
- let crxvt & gbrxvt be the same file (hard link)

* Sat Jul 24 1999 Chih-Wei Huang <cwhuang@linux.org.tw>
- mirror menu and script modified

* Thu Jul 22 1999 Chih-Wei Huang <cwhuang@linux.org.tw>
- fixed XIM focus bug (thhsieh)
- added rxvt menu and scripts, obsoleted crxvt 
- removed rxvt.1 from %doc

* Tue Jun 15 1999 Chih-Wei Huang <cwhuang@linux.org.tw>
- upgraded to 2.6.0
- removed GB patch (already including in this release)
- fixed a small bug of GB support

* Thu May 27 1999 Chih-Wei Huang <cwhuang@linux.org.tw>
- the GB patch cannot coexist with Big5, so make two binaries is necessary

* Fri May 21 1999 Chih-Wei Huang <cwhuang@linux.org.tw>
- added GB patch from <hashao@china.com>

* Thu May 20 1999 Chih-Wei Huang <cwhuang@linux.org.tw>
- upgraded to PRE4

* Thu Mar 25 1999 Erik Troan <ewt@redhat.com>
- added unix98 pty support

* Wed Mar 24 1999 Erik Troan <ewt@redhat.com>
- updated for utmpwrap

* Tue Mar 23 1999 Michael Johnson <johnsonm@redhat.com>
- added back the "old" alt-< and alt-> font change behaviour
- put the manpage in the right place

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Mon Mar 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to 2.6.PRE2.  Marked as unstable, but rxvt is always unstable...

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Wed Dec 30 1998 Jeff Johnson <jbj@redhat.com>
- fix glibc-2.1 utmpx compilation problem -- add -D_GNU_SOURCE (#638).

* Mon Dec 21 1998 Preston Brown <pbrown@redhat.com>
- bumped spec # for 6.0 build

* Wed Sep 30 1998 Bill Nottingham <notting@redhat.com>
- fix to enable keypad

* Tue Sep 08 1998 Cristian Gafton <gafton@redhat.com>
- version 2.4.7
- old version used to be called 2.20, so now we are Serial: 1

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Nov 07 1997 Michael K. Johnson <johnsonm@redhat.com>
- no paths in wmconfig files.

* Thu Oct 23 1997 Michael K. Johnson <johnsonm@redhat.com>
- added wmconfig

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Mon Mar 31 1997 Michael K. Johnson <johnsonm@redhat.com>
- make rxvt use standard XGetDefault instead of built-in one.
